// SelApp.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSelApp dialog

class CSelApp : public CDialog
{
// Construction
public:
	VOID EnableRemove(BOOL bEnable);
	VOID EnableAdd(BOOL bEnable);
	CSelApp(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSelApp)
	enum { IDD = IDD_SELAPPS };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSelApp)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSelApp)
     afx_msg LONG OnThreadFinished(UINT nThread,LONG lParam);
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeApplist();
	afx_msg void OnAdd();
	afx_msg void OnSelchangeAddlist();
	afx_msg void OnRemove();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
